aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Gael Guennebaud <g.gael@free.fr>2016-12-07 13:36:56 +0100
committerGravatar Gael Guennebaud <g.gael@free.fr>2016-12-07 13:36:56 +0100
commit59a59fa8e725298613c55f01ef0c95c5e2e33707 (patch)
treecb6e368652c9da29b013c1d8cd9186522f18e6c1 /scripts
parentf2c506b03d881f77d2d8ab23dc5804fe08c26cda (diff)
Update perf monitoring scripts to generate html/svg outputs
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/eigen_monitor_perf.sh13
1 files changed, 10 insertions, 3 deletions
diff --git a/scripts/eigen_monitor_perf.sh b/scripts/eigen_monitor_perf.sh
index 27aa48421..d4b3f82f0 100755
--- a/scripts/eigen_monitor_perf.sh
+++ b/scripts/eigen_monitor_perf.sh
@@ -7,12 +7,19 @@ USER='ggael'
UPLOAD_DIR=perf_monitoring/ggaelmacbook26
EIGEN_SOURCE_PATH=$HOME/Eigen/eigen
export PREFIX="haswell-fma-"
-export CXX_FLAGS="-mfma"
+export CXX_FLAGS="-mfma -w"
-$EIGEN_SOURCE_PATH/bench/perf_monitoring/gemm/runall.sh $*
+####
+
+BENCH_PATH=$EIGEN_SOURCE_PATH/bench/perf_monitoring/gemm/
+PREVPATH=`pwd`
+cd $BENCH_PATH && ./runall.sh "Haswell 2.6GHz, FMA, Apple's clang" $*
+cd $PREVPATH
+
+ALLFILES="$BENCH_PATH/$PREFIX*.png $BENCH_PATH/$PREFIX*.html $BENCH_PATH/index.html $BENCH_PATH/s1.js $BENCH_PATH/s2.js"
# (the '/' at the end of path is very important, see rsync documentation)
-rsync -az --no-p --delete $EIGEN_SOURCE_PATH/bench/perf_monitoring/gemm/haswell-fma-*.png $USER@ssh.tuxfamily.org:eigen/eigen.tuxfamily.org-web/htdocs/$UPLOAD_DIR/ || { echo "upload failed"; exit 1; }
+rsync -az --no-p --delete $ALLFILES $USER@ssh.tuxfamily.org:eigen/eigen.tuxfamily.org-web/htdocs/$UPLOAD_DIR/ || { echo "upload failed"; exit 1; }
# fix the perm
ssh $USER@ssh.tuxfamily.org "chmod -R g+w /home/eigen/eigen.tuxfamily.org-web/htdocs/perf_monitoring" || { echo "perm failed"; exit 1; }